List Contacts
curl --request GET \
--url https://api.example.com/api/messaging/contacts/import requests
url = "https://api.example.com/api/messaging/contacts/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/messaging/contacts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 150,
"next": "https://mifumosms.mifumolabs.com/api/messaging/contacts/?page=2",
"previous": null,
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"phone_e164": "+255614853618",
"email": "john@example.com",
"attributes": {},
"tags": ["VIP", "Customer"],
"is_active": true,
"opt_in_at": "2025-11-01T10:00:00Z",
"opt_out_at": null,
"created_at": "2025-11-01T10:00:00Z",
"updated_at": "2025-11-27T10:30:00Z"
}
]
}
Contact Management
List Contacts
GET
/
api
/
messaging
/
contacts
/
List Contacts
List all contacts with pagination and filtering.
integer
Page number (default: 1)
integer
Items per page (default: 20, max: 100)
string
Search term
string
Filter by tags (comma-separated)
Success Response (200)
integer
Total number of contacts
string
URL to next page (nullable)
string
URL to previous page (nullable)
array
Array of contact objects
{
"count": 150,
"next": "https://mifumosms.mifumolabs.com/api/messaging/contacts/?page=2",
"previous": null,
"results": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "John Doe",
"phone_e164": "+255614853618",
"email": "john@example.com",
"attributes": {},
"tags": ["VIP", "Customer"],
"is_active": true,
"opt_in_at": "2025-11-01T10:00:00Z",
"opt_out_at": null,
"created_at": "2025-11-01T10:00:00Z",
"updated_at": "2025-11-27T10:30:00Z"
}
]
}
⌘I